/*!
 * Copyright © 2005-2024 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
export declare const random: string;
export declare const collaboratorToolbarPrimary: string[];
export declare const collaboratorEditRowToolbarMore: string[];
export declare const favoritesCollaboratorToolbarMore: string[];
export declare const collaboratorSharedToolbarPrimary: string[];
export declare const collaboratorDocToolbarMore: string[];
export declare const collaboratorLockCurrentUserToolbarMore: string[];
export declare const collaboratorLockOtherUserToolbarMore: string[];
export declare const collaboratorLockOtherUserSearchToolbarMore: string[];
export declare const fileDocx: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    searchToolbarPrimary: string[];
};
export declare const fileDocxFav: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    favoritesToolbarMore: string[];
    favoritesContextMenu: string[];
    searchToolbarPrimary: string[];
};
export declare const file: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    searchToolbarPrimary: string[];
};
export declare const fileFav: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    favoritesToolbarMore: string[];
    favoritesContextMenu: string[];
    searchToolbarPrimary: string[];
};
export declare const fileDocxShared: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    sharedToolbarMore: string[];
    sharedContextMenu: string[];
    searchToolbarPrimary: string[];
};
export declare const fileDocxSharedFav: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    favoritesToolbarMore: string[];
    favoritesContextMenu: string[];
    sharedToolbarMore: string[];
    sharedContextMenu: string[];
    searchToolbarPrimary: string[];
};
export declare const fileShared: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    sharedToolbarMore: string[];
    sharedContextMenu: string[];
    searchToolbarPrimary: string[];
};
export declare const fileSharedFav: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    favoritesToolbarMore: string[];
    favoritesContextMenu: string[];
    sharedToolbarMore: string[];
    sharedContextMenu: string[];
    searchToolbarPrimary: string[];
};
export declare const fileLocked: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    searchToolbarPrimary: string[];
};
export declare const fileFavLocked: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    favoritesToolbarMore: string[];
    favoritesContextMenu: string[];
    searchToolbarPrimary: string[];
};
export declare const fileSharedLocked: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    sharedToolbarMore: string[];
    sharedContextMenu: string[];
    searchToolbarPrimary: string[];
};
export declare const fileSharedFavLocked: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    viewerToolbarPrimary: string[];
    viewerToolbarMore: string[];
    favoritesToolbarMore: string[];
    favoritesContextMenu: string[];
    sharedToolbarMore: string[];
    sharedContextMenu: string[];
    searchToolbarPrimary: string[];
};
export declare const fileGranularPermission: string;
export declare const fileLockedByUser: string;
export declare const folder: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    searchToolbarPrimary: string[];
};
export declare const folderFav: {
    name: string;
    description: string;
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    favoritesContextMenu: string[];
    favoritesToolbarMore: string[];
    searchToolbarPrimary: string[];
};
export declare const folderFav2: {
    name: string;
    description: string;
};
export declare const multipleSel: {
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    favoritesContextMenu: string[];
    favoritesToolbarMore: string[];
    searchToolbarPrimary: string[];
};
export declare const multipleSelAllFav: {
    contextMenu: string[];
    toolbarPrimary: string[];
    toolbarMore: string[];
    favoritesContextMenu: string[];
    favoritesToolbarMore: string[];
    searchToolbarPrimary: string[];
};
